#ifndef __MMC_SD_h__
#define __MMC_SD_h__

#define uint8	unsigned char
#define int8	signed char
#define uint16	unsigned int
#define	int16	signed int
#define uint32	unsigned long
#define int32	signed long

#define SD_PORT				PORTB							// use portB to communicate SD
#define	SD_CS_PIN			PB0				  				// Port B Pin 0 - SS
#define	SPI_MOSI_PIN		PB1				  				// Port B Pin 1 - MOSI											
#define	SPI_SCK_PIN			PB2				  				// Port B Pin 2 - SCK
#define DDRB_INI() 			DDRB |= (1 << SD_CS_PIN) | (1 << SPI_MOSI_PIN)| (1 << SPI_SCK_PIN)
#define SD_CS_Assert()		SD_PORT &= ~(1 << SD_CS_PIN)	// active low SS = 0
#define SD_CS_Deassert()	SD_PORT |= (1 << SD_CS_PIN)		// active low SS = 1

extern void MMC_SD_Init(void);
extern uint8 MMC_SD_Reset(void);
extern uint8 MMC_SD_ReadSingleBlock(uint32 sector, uint8*buffer);
extern uint8 MMC_SD_WriteSingleBlock(uint32 sector, uint8*buffer);
extern uint32 MMC_SD_ReadCapacity(void);
extern void SPI_High(void);
extern void SPI_Init(void);
extern void SPI_Low(void);
extern uint8 SPI_WriteByte(uint8 val);
#endif
